'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _events = require('events');

var _events2 = _interopRequireDefault(_events);

var _mqtt = require('mqtt');

var _mqtt2 = _interopRequireDefault(_mqtt);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var MQTTClient = function (_EventEmitter) {
  _inherits(MQTTClient, _EventEmitter);

  function MQTTClient(config) {
    _classCallCheck(this, MQTTClient);

    var _this = _possibleConstructorReturn(this, (MQTTClient.__proto__ || Object.getPrototypeOf(MQTTClient)).call(this));

    _this.mqtt = _mqtt2.default.connect(config.url, {
      keepalive: 10,
      clientId: 'mqttjs_'.concat(Math.random().toString(16).substr(2, 8)),
      protocolId: 'MQTT',
      protocolVersion: 4,
      clean: true,
      reconnectPeriod: 1000,
      connectTimeout: 30 * 1000,
      will: {
        topic: 'WillMsg',
        payload: 'Connection Closed abnormally..!',
        qos: 0,
        retain: false
      },
      username: config.username,
      password: config.password,
      rejectUnauthorized: false
    });

    _this.mqtt.on('connect', function () {
      _this.emit('connected');
      _this.mqtt.subscribe(config.topic);
    });

    _this.mqttClient.on('message', function (topic, message) {
      var mqttData = JSON.parse(message);
      if (mqttData === null) return;
      _this.emit('change', parseFloat(mqttData));
    });
    return _this;
  }

  return MQTTClient;
}(_events2.default);

exports.default = MQTTClient;