'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setup = undefined;

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _Accessory = require('./Accessory');

Object.defineProperty(exports, 'setup', {
  enumerable: true,
  get: function get() {
    return _Accessory.setup;
  }
});

var _eq3ble = require('eq3ble');

var _Accessory2 = _interopRequireDefault(_Accessory);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var EQ3BLEPlatform = function () {
  function EQ3BLEPlatform(log, config, api) {
    _classCallCheck(this, EQ3BLEPlatform);

    this.log = log;
    this.config = config;
    this.disableBoostSwitch = config.disableBoostSwitch;
    this.api = api;

    // if (!this.config) {
    //   this.log.warn('Ignoring EQ3BLE Platform setup because it is not configured');
    //   this.disabled = true;
    // }
  }

  _createClass(EQ3BLEPlatform, [{
    key: 'accessories',
    value: function accessories(callback) {
      var _this = this;

      var devices = [];

      if (this.disabled) {
        callback(devices);
        return;
      }

      this.log('discovery started');
      var helper = (0, _eq3ble.discoverAll)(function (device) {
        devices.push(device);
        _this.log('discovered eq3ble device with address ' + device.address);
      }, 30 * 1000);
      helper.on('stopScanning', function () {
        _this.log('found ' + devices.length + ' devices');
        callback(devices.map(function (device) {
          return _this.createAccessory(device);
        }));
      });
    }
  }, {
    key: 'createAccessory',
    value: function createAccessory(device) {
      return new _Accessory2.default(this.log, device, this.disableBoostSwitch);
    }
  }]);

  return EQ3BLEPlatform;
}();

exports.default = EQ3BLEPlatform;